

<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9" lang="en" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en" > <!--<![endif]-->
<head>
  <meta charset="utf-8">
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
  <title>Dashboard &mdash; Documentation</title>
  

  
  
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
  
  
  

  
  <script type="text/javascript" src="../../_static/js/modernizr.min.js"></script>
  
    
      <script type="text/javascript" id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
        <script src="../../_static/jquery.js"></script>
        <script src="../../_static/underscore.js"></script>
        <script src="../../_static/doctools.js"></script>
        <script crossorigin="anonymous" integrity="sha256-Ae2Vz/4ePdIu6ZyI/5ZGsYnb+m0JlOmKPjt6XZ9JJkA=" src="https://cdnjs.cloudflare.com/ajax/libs/require.js/2.3.4/require.min.js"></script>
        <script src="../../_static/js/bootstrap.min.js"></script>
        <script src="../../_static/js/bootstrap.bundle.min.js"></script>
        <script src="../../_static/js/custom.js"></script>
    
    <script type="text/javascript" src="../../_static/js/theme.js"></script>

    

  
  <link rel="stylesheet" href="../../_static/css/theme.css" type="text/css" />
  <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
  <link rel="stylesheet" href="../../_static/css/bootstrap.min.css" type="text/css" />
  <link rel="stylesheet" href="../../_static/css/bootstrap-grid.min.css" type="text/css" />
  <link rel="stylesheet" href="../../_static/css/custom.css" type="text/css" />
    <link rel="index" title="Index" href="../../genindex.html" />
    <link rel="search" title="Search" href="../../search.html" />
    <link rel="prev" title="Getting started with the Shyft dashboard for time series" href="getting_started.html" /> 
</head>

<body class="wy-body-for-nav">

   
  <div class="wy-grid-for-nav">
    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
          

          
            <a href="../../index.html" class="icon icon-home"> Shyft
          

          
          </a>

          
            
            
              <div class="version">
                4.12
              </div>
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <p class="caption"><span class="caption-text">Project</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../project/what_is_shyft.html">What is Shyft?</a></li>
<li class="toctree-l1"><a class="reference internal" href="../project/get_involved.html">Get involved</a></li>
<li class="toctree-l1"><a class="reference internal" href="../project/contact.html">Contact</a></li>
</ul>
<p class="caption"><span class="caption-text">Time Series</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../time_series/installation.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="../time_series/concepts.html">Concepts</a></li>
<li class="toctree-l1"><a class="reference internal" href="../time_series/getting_started.html">Getting started</a></li>
<li class="toctree-l1"><a class="reference internal" href="../time_series/api.html">API Documentation</a></li>
</ul>
<p class="caption"><span class="caption-text">Hydrology</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../hydrology/installation.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="../hydrology/concepts.html">Concepts</a></li>
<li class="toctree-l1"><a class="reference internal" href="../hydrology/getting_started.html">Getting started</a></li>
<li class="toctree-l1"><a class="reference internal" href="../hydrology/api.html">API Documentation</a></li>
</ul>
<p class="caption"><span class="caption-text">Energy Market</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../energy_market/installation.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="../energy_market/concepts.html">Concepts</a></li>
<li class="toctree-l1"><a class="reference internal" href="../energy_market/getting_started.html">Getting started</a></li>
<li class="toctree-l1"><a class="reference internal" href="../energy_market/api.html">API Documentation</a></li>
</ul>
<p class="caption"><span class="caption-text">Dashboard</span></p>
<ul class="current">
<li class="toctree-l1"><a class="reference internal" href="installation.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="concepts.html">Concepts</a></li>
<li class="toctree-l1"><a class="reference internal" href="getting_started.html">Getting started</a></li>
<li class="toctree-l1 current"><a class="current reference internal" href="#">API Documentation</a><ul>
<li class="toctree-l2"><a class="reference internal" href="#module-shyft.dashboard.apps.dtss_viewer.dtsc_helper_functions">DTSC helper functions</a></li>
<li class="toctree-l2"><a class="reference internal" href="#module-shyft.dashboard.apps.dtss_viewer.dtss_viewer_app">DTSS viewer app</a></li>
<li class="toctree-l2"><a class="reference internal" href="#module-shyft.dashboard.apps.dtss_viewer.widgets">Widgets</a></li>
<li class="toctree-l2"><a class="reference internal" href="#start-bokeh-apps">Start bokeh apps</a></li>
</ul>
</li>
</ul>

            
          
        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../../index.html">Shyft</a>
        
      </nav>


      <div class="wy-nav-content">
        
        <div class="rst-content">
        
          















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="../../index.html">Docs</a> &raquo;</li>
        
      <li>Dashboard</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
            
            <a href="../../_sources/content/dashboard/api.rst.txt" rel="nofollow"> View page source</a>
          
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  
<style>
/* CSS overrides for sphinx_rtd_theme */

/* 24px margin */
.nbinput.nblast.container,
.nboutput.nblast.container {
    margin-bottom: 19px;  /* padding has already 5px */
}

/* ... except between code cells! */
.nblast.container + .nbinput.container {
    margin-top: -19px;
}

.admonition > p:before {
    margin-right: 4px;  /* make room for the exclamation icon */
}

/* Fix math alignment, see https://github.com/rtfd/sphinx_rtd_theme/pull/686 */
.math {
    text-align: unset;
}
</style>
<div class="section" id="dashboard">
<h1>Dashboard<a class="headerlink" href="#dashboard" title="Permalink to this headline">¶</a></h1>
<div class="admonition warning">
<p class="admonition-title">Warning</p>
<p>Work In Progress</p>
</div>
<p>This package contains the following classes and functions.
.. note:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">This</span> <span class="ow">is</span> <span class="n">the</span> <span class="n">complete</span> <span class="n">exposed</span> <span class="n">API</span><span class="o">.</span>
<span class="n">Not</span> <span class="nb">all</span> <span class="n">classes</span> <span class="ow">and</span> <span class="n">functions</span> <span class="n">are</span> <span class="n">meant</span> <span class="k">for</span> <span class="n">the</span> <span class="n">End</span><span class="o">-</span><span class="n">user</span><span class="p">,</span> <span class="n">the</span> <span class="n">documentation</span> <span class="ow">is</span> <span class="n">a</span> <span class="n">work</span> <span class="ow">in</span> <span class="n">progress</span>
</pre></div>
</div>
<span class="target" id="module-shyft.dashboard"></span><div class="section" id="module-shyft.dashboard.apps.dtss_viewer.dtsc_helper_functions">
<span id="dtsc-helper-functions"></span><h2>DTSC helper functions<a class="headerlink" href="#module-shyft.dashboard.apps.dtss_viewer.dtsc_helper_functions" title="Permalink to this headline">¶</a></h2>
<dl class="py class">
<dt id="shyft.dashboard.apps.dtss_viewer.dtsc_helper_functions.DtssTsAdapter">
<em class="property"><span class="pre">class</span> </em><code class="sig-prename descclassname"><span class="pre">shyft.dashboard.apps.dtss_viewer.dtsc_helper_functions.</span></code><code class="sig-name descname"><span class="pre">DtssTsAdapter</span></code><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">dtss_url</span></span><span class="p"><span class="pre">:</span></span> <span class="n"><span class="pre">str</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">ts_url</span></span><span class="p"><span class="pre">:</span></span> <span class="n"><span class="pre">str</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../../_modules/shyft/dashboard/apps/dtss_viewer/dtsc_helper_functions.html#DtssTsAdapter"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#shyft.dashboard.apps.dtss_viewer.dtsc_helper_functions.DtssTsAdapter" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py function">
<dt id="shyft.dashboard.apps.dtss_viewer.dtsc_helper_functions.check_dtss_url">
<code class="sig-prename descclassname"><span class="pre">shyft.dashboard.apps.dtss_viewer.dtsc_helper_functions.</span></code><code class="sig-name descname"><span class="pre">check_dtss_url</span></code><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">dtss_url</span></span><span class="p"><span class="pre">:</span></span> <span class="n"><span class="pre">str</span></span></em><span class="sig-paren">)</span> &#x2192; <span class="pre">bool</span><a class="reference internal" href="../../_modules/shyft/dashboard/apps/dtss_viewer/dtsc_helper_functions.html#check_dtss_url"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#shyft.dashboard.apps.dtss_viewer.dtsc_helper_functions.check_dtss_url" title="Permalink to this definition">¶</a></dt>
<dd><p>This function evaluates if the url belogs to a running dts server
:param dtss_url: url of dtss like localhost:20000</p>
<dl class="field-list simple">
<dt class="field-odd">Returns</dt>
<dd class="field-odd"><p></p>
</dd>
<dt class="field-even">Return type</dt>
<dd class="field-even"><p>True if dtss reachable with given url, False if not</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="shyft.dashboard.apps.dtss_viewer.dtsc_helper_functions.find_all_dtss_infos">
<code class="sig-prename descclassname"><span class="pre">shyft.dashboard.apps.dtss_viewer.dtsc_helper_functions.</span></code><code class="sig-name descname"><span class="pre">find_all_dtss_infos</span></code><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">dtss_url</span></span><span class="p"><span class="pre">:</span></span> <span class="n"><span class="pre">str</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">dtss_container</span></span><span class="p"><span class="pre">:</span></span> <span class="n"><span class="pre">str</span></span></em><span class="sig-paren">)</span> &#x2192; <span class="pre">shyft.time_series._time_series.TsVector</span><a class="reference internal" href="../../_modules/shyft/dashboard/apps/dtss_viewer/dtsc_helper_functions.html#find_all_dtss_infos"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#shyft.dashboard.apps.dtss_viewer.dtsc_helper_functions.find_all_dtss_infos" title="Permalink to this definition">¶</a></dt>
<dd><p>This function returns a TsVector of TsInfo for each Time Series in the container of the
dtss at the url.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>dtss_url</strong> – url to dtss</p></li>
<li><p><strong>dtss_container</strong> – dtss data container to search in</p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p></p>
</dd>
<dt class="field-odd">Return type</dt>
<dd class="field-odd"><p>a TsVector of TsInfo for each Time Series</p>
</dd>
<dt class="field-even">Raises</dt>
<dd class="field-even"><p><strong>RuntimeError if no dtss can be found under given url</strong> – </p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="shyft.dashboard.apps.dtss_viewer.dtsc_helper_functions.find_all_ts_names_and_url">
<code class="sig-prename descclassname"><span class="pre">shyft.dashboard.apps.dtss_viewer.dtsc_helper_functions.</span></code><code class="sig-name descname"><span class="pre">find_all_ts_names_and_url</span></code><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">dtss_url</span></span><span class="p"><span class="pre">:</span></span> <span class="n"><span class="pre">str</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">dtss_container</span></span><span class="p"><span class="pre">:</span></span> <span class="n"><span class="pre">str</span></span></em><span class="sig-paren">)</span> &#x2192; <span class="pre">List</span><span class="p"><span class="pre">[</span></span><span class="pre">Tuple</span><span class="p"><span class="pre">[</span></span><span class="pre">str</span><span class="p"><span class="pre">,</span> </span><span class="pre">str</span><span class="p"><span class="pre">]</span></span><span class="p"><span class="pre">]</span></span><a class="reference internal" href="../../_modules/shyft/dashboard/apps/dtss_viewer/dtsc_helper_functions.html#find_all_ts_names_and_url"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#shyft.dashboard.apps.dtss_viewer.dtsc_helper_functions.find_all_ts_names_and_url" title="Permalink to this definition">¶</a></dt>
<dd><p>This function returns a list of time series names and urls for each Time Series in the container of the
dtss at the ts_url.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>dtss_url</strong> – url to dtss</p></li>
<li><p><strong>dtss_container</strong> – dtss data container to search in</p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p></p>
</dd>
<dt class="field-odd">Return type</dt>
<dd class="field-odd"><p>List of Tuple with (ts_url, name) for each ts in the container</p>
</dd>
<dt class="field-even">Raises</dt>
<dd class="field-even"><p><strong>RuntimeError if no dtss can be found under given url</strong> – </p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="shyft.dashboard.apps.dtss_viewer.dtsc_helper_functions.try_dtss_connection">
<code class="sig-prename descclassname"><span class="pre">shyft.dashboard.apps.dtss_viewer.dtsc_helper_functions.</span></code><code class="sig-name descname"><span class="pre">try_dtss_connection</span></code><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">dtss_url</span></span><span class="p"><span class="pre">:</span></span> <span class="n"><span class="pre">str</span></span></em><span class="sig-paren">)</span> &#x2192; <span class="pre">bool</span><a class="reference internal" href="../../_modules/shyft/dashboard/apps/dtss_viewer/dtsc_helper_functions.html#try_dtss_connection"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#shyft.dashboard.apps.dtss_viewer.dtsc_helper_functions.try_dtss_connection" title="Permalink to this definition">¶</a></dt>
<dd><p>This function evaluates if the url belogs to a running dts server
:param dtss_url: url of dtss like localhost:20000</p>
<dl class="field-list simple">
<dt class="field-odd">Returns</dt>
<dd class="field-odd"><p></p>
</dd>
<dt class="field-even">Return type</dt>
<dd class="field-even"><p>True if dtss reachable with given url</p>
</dd>
<dt class="field-odd">Raises</dt>
<dd class="field-odd"><p><strong>RuntimeError if no dtss can be found under given url</strong> – </p>
</dd>
</dl>
</dd></dl>

</div>
<div class="section" id="module-shyft.dashboard.apps.dtss_viewer.dtss_viewer_app">
<span id="dtss-viewer-app"></span><h2>DTSS viewer app<a class="headerlink" href="#module-shyft.dashboard.apps.dtss_viewer.dtss_viewer_app" title="Permalink to this headline">¶</a></h2>
<dl class="py class">
<dt id="shyft.dashboard.apps.dtss_viewer.dtss_viewer_app.DtssViewerApp">
<em class="property"><span class="pre">class</span> </em><code class="sig-prename descclassname"><span class="pre">shyft.dashboard.apps.dtss_viewer.dtss_viewer_app.</span></code><code class="sig-name descname"><span class="pre">DtssViewerApp</span></code><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">thread_pool</span></span><span class="p"><span class="pre">:</span></span> <span class="n"><span class="pre">Optional</span><span class="p"><span class="pre">[</span></span><span class="pre">concurrent.futures.thread.ThreadPoolExecutor</span><span class="p"><span class="pre">]</span></span></span> <span class="o"><span class="pre">=</span></span> <span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">app_kwargs</span></span><span class="p"><span class="pre">:</span></span> <span class="n"><span class="pre">Optional</span><span class="p"><span class="pre">[</span></span><span class="pre">Dict</span><span class="p"><span class="pre">[</span></span><span class="pre">str</span><span class="p"><span class="pre">,</span> </span><span class="pre">Any</span><span class="p"><span class="pre">]</span></span><span class="p"><span class="pre">]</span></span></span> <span class="o"><span class="pre">=</span></span> <span class="default_value"><span class="pre">None</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../../_modules/shyft/dashboard/apps/dtss_viewer/dtss_viewer_app.html#DtssViewerApp"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#shyft.dashboard.apps.dtss_viewer.dtss_viewer_app.DtssViewerApp" title="Permalink to this definition">¶</a></dt>
<dd><dl class="py method">
<dt id="shyft.dashboard.apps.dtss_viewer.dtss_viewer_app.DtssViewerApp.get_layout">
<code class="sig-name descname"><span class="pre">get_layout</span></code><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">doc</span></span><span class="p"><span class="pre">:</span></span> <span class="n"><span class="pre">bokeh.document.document.Document</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">logger</span></span><span class="p"><span class="pre">:</span></span> <span class="n"><span class="pre">Optional</span><span class="p"><span class="pre">[</span></span><span class="pre">shyft.dashboard.widgets.logger_box.LoggerBox</span><span class="p"><span class="pre">]</span></span></span> <span class="o"><span class="pre">=</span></span> <span class="default_value"><span class="pre">None</span></span></em><span class="sig-paren">)</span> &#x2192; <span class="pre">bokeh.models.layouts.LayoutDOM</span><a class="reference internal" href="../../_modules/shyft/dashboard/apps/dtss_viewer/dtss_viewer_app.html#DtssViewerApp.get_layout"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#shyft.dashboard.apps.dtss_viewer.dtss_viewer_app.DtssViewerApp.get_layout" title="Permalink to this definition">¶</a></dt>
<dd><p>This function returns the full page layout for the app</p>
</dd></dl>

<dl class="py method">
<dt id="shyft.dashboard.apps.dtss_viewer.dtss_viewer_app.DtssViewerApp.name">
<em class="property"><span class="pre">property</span> </em><code class="sig-name descname"><span class="pre">name</span></code><a class="headerlink" href="#shyft.dashboard.apps.dtss_viewer.dtss_viewer_app.DtssViewerApp.name" title="Permalink to this definition">¶</a></dt>
<dd><p>This property returns the name of the app</p>
</dd></dl>

</dd></dl>

</div>
<div class="section" id="module-shyft.dashboard.apps.dtss_viewer.widgets">
<span id="widgets"></span><h2>Widgets<a class="headerlink" href="#module-shyft.dashboard.apps.dtss_viewer.widgets" title="Permalink to this headline">¶</a></h2>
<dl class="py class">
<dt id="shyft.dashboard.apps.dtss_viewer.widgets.TsSelector">
<em class="property"><span class="pre">class</span> </em><code class="sig-prename descclassname"><span class="pre">shyft.dashboard.apps.dtss_viewer.widgets.</span></code><code class="sig-name descname"><span class="pre">TsSelector</span></code><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">presenter</span></span><span class="p"><span class="pre">:</span></span> <span class="n"><span class="pre">shyft.dashboard.base.selector_presenter.SelectorPresenter</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../../_modules/shyft/dashboard/apps/dtss_viewer/widgets.html#TsSelector"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#shyft.dashboard.apps.dtss_viewer.widgets.TsSelector" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</div>
<div class="section" id="start-bokeh-apps">
<h2>Start bokeh apps<a class="headerlink" href="#start-bokeh-apps" title="Permalink to this headline">¶</a></h2>
<dl class="py function">
<dt id="shyft.dashboard.apps.start_bokeh_apps.start_bokeh_apps">
<code class="sig-prename descclassname"><span class="pre">shyft.dashboard.apps.start_bokeh_apps.</span></code><code class="sig-name descname"><span class="pre">start_bokeh_apps</span></code><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">apps</span></span><span class="p"><span class="pre">:</span></span> <span class="n"><span class="pre">List</span><span class="p"><span class="pre">[</span></span><span class="pre">Type</span><span class="p"><span class="pre">[</span></span><span class="pre">shyft.dashboard.base.app.AppBase</span><span class="p"><span class="pre">]</span></span><span class="p"><span class="pre">]</span></span></span></em>, <em class="sig-param"><span class="n"><span class="pre">show</span></span><span class="p"><span class="pre">:</span></span> <span class="n"><span class="pre">bool</span></span> <span class="o"><span class="pre">=</span></span> <span class="default_value"><span class="pre">False</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">port</span></span><span class="p"><span class="pre">:</span></span> <span class="n"><span class="pre">int</span></span> <span class="o"><span class="pre">=</span></span> <span class="default_value"><span class="pre">5006</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">log_level</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">40</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">async_on</span></span><span class="p"><span class="pre">:</span></span> <span class="n"><span class="pre">bool</span></span> <span class="o"><span class="pre">=</span></span> <span class="default_value"><span class="pre">True</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">async_max_worker</span></span><span class="p"><span class="pre">:</span></span> <span class="n"><span class="pre">int</span></span> <span class="o"><span class="pre">=</span></span> <span class="default_value"><span class="pre">12</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">show_logger_box</span></span><span class="p"><span class="pre">:</span></span> <span class="n"><span class="pre">bool</span></span> <span class="o"><span class="pre">=</span></span> <span class="default_value"><span class="pre">False</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">server_kwargs</span></span><span class="p"><span class="pre">:</span></span> <span class="n"><span class="pre">Optional</span><span class="p"><span class="pre">[</span></span><span class="pre">Dict</span><span class="p"><span class="pre">[</span></span><span class="pre">str</span><span class="p"><span class="pre">,</span> </span><span class="pre">Any</span><span class="p"><span class="pre">]</span></span><span class="p"><span class="pre">]</span></span></span> <span class="o"><span class="pre">=</span></span> <span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">app_kwargs</span></span><span class="p"><span class="pre">:</span></span> <span class="n"><span class="pre">Optional</span><span class="p"><span class="pre">[</span></span><span class="pre">Union</span><span class="p"><span class="pre">[</span></span><span class="pre">List</span><span class="p"><span class="pre">[</span></span><span class="pre">Dict</span><span class="p"><span class="pre">[</span></span><span class="pre">str</span><span class="p"><span class="pre">,</span> </span><span class="pre">Any</span><span class="p"><span class="pre">]</span></span><span class="p"><span class="pre">]</span></span><span class="p"><span class="pre">,</span> </span><span class="pre">Dict</span><span class="p"><span class="pre">[</span></span><span class="pre">str</span><span class="p"><span class="pre">,</span> </span><span class="pre">Any</span><span class="p"><span class="pre">]</span></span><span class="p"><span class="pre">]</span></span><span class="p"><span class="pre">]</span></span></span> <span class="o"><span class="pre">=</span></span> <span class="default_value"><span class="pre">None</span></span></em><span class="sig-paren">)</span> &#x2192; <span class="pre">None</span><a class="reference internal" href="../../_modules/shyft/dashboard/base/app.html#start_bokeh_apps"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#shyft.dashboard.apps.start_bokeh_apps.start_bokeh_apps" title="Permalink to this definition">¶</a></dt>
<dd><p>This function starts a bokeh serve with the apps provided to the function</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>apps</strong> – List of AppBase classes</p></li>
<li><p><strong>show</strong> – if True a browser with all apps will be opened</p></li>
<li><p><strong>port</strong> – port where on which the apps are loaded ‘localhost:port’</p></li>
<li><p><strong>log_level</strong> – Logging level in the console</p></li>
<li><p><strong>async_on</strong> – use async data loading</p></li>
<li><p><strong>async_max_worker</strong> – number of workers for thread pool doing the async data loading</p></li>
<li><p><strong>show_logger_box</strong> – enable in-app logger</p></li>
<li><p><strong>server_kwargs</strong> – keyword arguments for the Bokeh / tornado server</p></li>
<li><p><strong>app_kwargs</strong> – list of dictionaries of additional keyword arguments for the apps, if a single dictionary is passed, a list
is created with the same length as the number of apps</p></li>
</ul>
</dd>
</dl>
</dd></dl>

</div>
</div>


           </div>
           
          </div>
          <footer>
  
    <div class="rst-footer-buttons" role="navigation" aria-label="footer navigation">
      
      
        <a href="getting_started.html" class="btn btn-neutral float-left" title="Getting started with the Shyft dashboard for time series" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left"></span> Previous</a>
      
    </div>
  

  <hr/>

  <div role="contentinfo">
    <p>
        &copy; Copyright 2021, The Shyft project

    </p>
  </div>
  Built with <a href="http://sphinx-doc.org/">Sphinx</a> using a <a href="https://github.com/rtfd/sphinx_rtd_theme">theme</a> provided by <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>

        </div>
      </div>

    </section>

  </div>
  


  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script>

  
  
    
   

</body>
</html>